package allocator

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func testGet(t *testing.T, a Allocator, size int, expected Region) {
	r, err := a.Get(uint64(size))
	require.NoError(t, err)
	require.Equal(t, expected, r)
}
